Bug 1006410 - X crashes when saving a file in mathematica
X crashes when saving a file in mathematica
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 11:00 EDT by Garrett Mitchener
Modified: 2015-02-17 12:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:08:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old, shows segfault (58.50 KB, text/plain)
2013-09-10 11:00 EDT, Garrett Mitchener
no flags Details
list of my X11 rpms (2.54 KB, text/plain)
2013-09-10 11:01 EDT, Garrett Mitchener
no flags Details

  None (edit)
Description Garrett Mitchener 2013-09-10 11:00:15 EDT
Created attachment 796043 [details]
/var/log/Xorg.0.log.old, shows segfault

Description of problem:

Using Fedora 19, start mathematica 9, create a new notebook, go to the file menu, select save.  Then X crashes.  I'm assuming this is a driver problem because it doesn't happen on my notebook computer, which has an Intel video card.  The driver also has other bugs (my video card is a relatively new chip set, ATI Pitcairn)-- sometimes parts of windows just don't get drawn for a few seconds.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64

I'll attach a list of all rpms.

How reproducible:

every time

Steps to Reproduce:

Using Fedora 19, start mathematica 9, create a new notebook, go to the file menu, select save.  Then X crashes.

Additional info:

From lspci:

05:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn LE GL [FirePro W5000]

I'm using two monitors.

Nothing interesting appears in dmesg or journalctl -xb
Comment 1 Garrett Mitchener 2013-09-10 11:01:35 EDT
Created attachment 796044 [details]
list of my X11 rpms

rpm -qa | grep xorg-x11 | sort > /tmp/xorg-pkgs.txt
Comment 2 Garrett Mitchener 2013-09-10 11:26:43 EDT
Hmm, I tried the ATI catalyst packages from rpmfusion, and with those, X11 crashed as soon as I start mathematica.  So I'm changing the component to x11-xorg until I know better.

By the way, I have no problem running mathematica inside of a VNC session using

tigervnc-server-1.3.0-3.fc19.x86_64
Comment 3 A. C. 2013-12-08 20:32:50 EST
I can confirm this bug is present with the Radeon drivers that ship with Fedora 19 and also with the ATI catalyst packages from rpmfusion. My symptoms are exactly the same; Mathematica won't start/save/open things etc. I use a Pitcairn gpu as well (HD7870). 

I have been able to solve my problem, however, by installing the catalyst beta drivers found here:

http://support.amd.com/en-us/kb-articles/Pages/latest-linux-beta-driver.aspx

This driver's version is 13.11b and is newer than the ones found in the Fedora repos. While I don't know your precise setup, I think it might be similar to mine so I posted my solution here. I have had this problem for weeks and it was driving me crazy. 

Make sure that you backup your xorg.conf file and also remove the old catalyst drivers that you installed from rpmfusion.

Cheers.



(In reply to Garrett Mitchener from comment #0)
> Created attachment 796043 [details]
> /var/log/Xorg.0.log.old, shows segfault
> 
> Description of problem:
> 
> Using Fedora 19, start mathematica 9, create a new notebook, go to the file
> menu, select save.  Then X crashes.  I'm assuming this is a driver problem
> because it doesn't happen on my notebook computer, which has an Intel video
> card.  The driver also has other bugs (my video card is a relatively new
> chip set, ATI Pitcairn)-- sometimes parts of windows just don't get drawn
> for a few seconds.
> 
> Version-Release number of selected component (if applicable):
> 
> xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64
> 
> I'll attach a list of all rpms.
> 
> How reproducible:
> 
> every time
> 
> Steps to Reproduce:
> 
> Using Fedora 19, start mathematica 9, create a new notebook, go to the file
> menu, select save.  Then X crashes.
> 
> Additional info:
> 
> From lspci:
> 
> 05:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
> Pitcairn LE GL [FirePro W5000]
> 
> I'm using two monitors.
> 
> Nothing interesting appears in dmesg or journalctl -xb
Comment 4 Fedora End Of Life 2015-01-09 14:47:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:08:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.